devplugin

## Class ContextMenuSeparatorAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - devplugin.ContextMenuSeparatorAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public final class ContextMenuSeparatorAction
      extends javax.swing.AbstractAction

  A class that brings support for adding separators to the context menu of a plugin. Simply add the instance of this class to your context menu, it will be replaced with a separator so the user will see a separator in the context menu.
  Author:
    René Mach
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `boolean` | `equals(java.lang.Object o)`
    `static ContextMenuSeparatorAction` | `getDisabledOnTaskMenuInstance()` Gets an instance of this class.
    `static ContextMenuSeparatorAction` | `getInstance()` Gets an instance of this class.
    `int` | `hashCode()`
    `void` | `putValue(java.lang.String key, java.lang.Object newValue)` Overwritten to disable changes of values of this class.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ContextMenuSeparatorAction getInstance()

      Gets an instance of this class. The instance is also shown in task menu of the ProgramInfoDialog.
      Returns:
        The instance of this class, that is shown in the task menu of the ProgramInfoDialog.
      See Also:
        `getDisabledOnTaskMenuInstance()`

    - #### getDisabledOnTaskMenuInstance

          public static ContextMenuSeparatorAction getDisabledOnTaskMenuInstance()

      Gets an instance of this class. The instance is not shown in task menu of the ProgramInfoDialog.
      Returns:
        The instance of this class, that is not shown in the task menu of the ProgramInfoDialog.
      See Also:
        `getInstance()`

    - #### putValue

          public void putValue(java.lang.String key,
                      java.lang.Object newValue)

      Overwritten to disable changes of values of this class. So use it or don't use it, it has no effect.
      Specified by:
        `putValue` in interface `javax.swing.Action`
      Overrides:
        `putValue` in class `javax.swing.AbstractAction`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)